.TH man 1 "2022-10-12" "0.13.0" "Profanity XMPP client"

.SH NAME
/connect

.SH DESCRIPTION
Login to a chat service. If no account is specified, the default is used if one is configured. A local account is created with the JID as it's name if it doesn't already exist.

.SH SYNOPSIS
/connect [<account>]

.LP
/connect <account> [server <server>] [port <port>] [tls force|allow|trust|legacy|disable] [auth default|legacy]

.LP

.SH ARGUMENTS
.PP
\fB<account>\fR
.RS 4
The local account you wish to connect with, or a JID if connecting for the first time.
.RE
.PP
\fBserver <server>\fR
.RS 4
Supply a server if it is different to the domain part of your JID.
.RE
.PP
\fBport <port>\fR
.RS 4
The port to use if different to the default (5222, or 5223 for SSL).
.RE
.PP
\fBtls force\fR
.RS 4
Force TLS connection, and fail if one cannot be established, this is default behaviour.
.RE
.PP
\fBtls allow\fR
.RS 4
Use TLS for the connection if it is available.
.RE
.PP
\fBtls trust\fR
.RS 4
Force TLS connection and trust server's certificate.
.RE
.PP
\fBtls legacy\fR
.RS 4
Use legacy TLS for the connection. It means server doesn't support STARTTLS and TLS is forced just after TCP connection is established.
.RE
.PP
\fBtls disable\fR
.RS 4
Disable TLS for the connection.
.RE
.PP
\fBauth default\fR
.RS 4
Default authentication process.
.RE
.PP
\fBauth legacy\fR
.RS 4
Allow legacy authentication.
.RE

.SH EXAMPLES
/connect

.LP
/connect odin@valhalla.edda

.LP
/connect odin@valhalla.edda server talk.google.com

.LP
/connect freyr@vanaheimr.edda port 5678

.LP
/connect me@localhost.test.org server 127.0.0.1 tls disable

.LP
/connect me@chatty server chatty.com port 5443

.LP
